curl --request GET \
--url https://sandbox.api.byzantine.fi/v1/query/get-user-details \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-user-details"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-user-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"verificationStatus": "active",
"userInfo": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"nationality": "FRA",
"countryOfBirth": "FRA",
"residentialAddress": {
"streetLine1": "33 Rue La Fayette",
"city": "Paris",
"postalCode": "75009",
"country": "FRA",
"streetLine2": "WeWork",
"state": "IDF"
}
},
"accounts": [
{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"accountName": "<string>",
"accountType": "individual",
"rootUsers": [
{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
],
"authenticators": [
{
"credentialId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>"
}
],
"userRole": "root",
"walletAddress": "<string>",
"isSelfCustodial": true,
"createdAt": "2023-11-07T05:31:56Z",
"beneficiary": {
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"entityInfo": {
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"entityName": "<string>"
},
"bridgeAccountId": "<string>",
"profilePictureUrl": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}Get details of a single user
This endpoint returns comprehensive information about a user including:
- Basic user information (name, email, address)
- Verification status
- Associated accounts details
curl --request GET \
--url https://sandbox.api.byzantine.fi/v1/query/get-user-details \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-user-details"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-user-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"verificationStatus": "active",
"userInfo": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"nationality": "FRA",
"countryOfBirth": "FRA",
"residentialAddress": {
"streetLine1": "33 Rue La Fayette",
"city": "Paris",
"postalCode": "75009",
"country": "FRA",
"streetLine2": "WeWork",
"state": "IDF"
}
},
"accounts": [
{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"accountName": "<string>",
"accountType": "individual",
"rootUsers": [
{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
],
"authenticators": [
{
"credentialId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>"
}
],
"userRole": "root",
"walletAddress": "<string>",
"isSelfCustodial": true,
"createdAt": "2023-11-07T05:31:56Z",
"beneficiary": {
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"entityInfo": {
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"entityName": "<string>"
},
"bridgeAccountId": "<string>",
"profilePictureUrl": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}Authorizations
Headers
Integrator's ECDSA public key (P-256 curve, compressed SEC1 format). Example: 0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd
Unix timestamp in seconds (UTC). Must be within tolerance window (1 minute) to prevent replay attacks. Example: 1760375826
ECDSA signature (DER-encoded, hex with 0x prefix). Signs the message: {timestamp}{METHOD}{path_and_query}{json_body}. Example: 0x3045022100...
Query Parameters
A UUID string
"550e8400-e29b-41d4-a716-446655440000"
Response
User details retrieved successfully
Response body for user details
A UUID string
"550e8400-e29b-41d4-a716-446655440000"
The identity verification status of the user.
not_started, init, under_review, awaiting_associated_person_information, awaiting_information, resubmission_requested, active, rejected, inactive "active"
Response body for user information
Show child attributes
Show child attributes
Show child attributes
Show child attributes

